package com.wasu.cs.model;

import java.util.List;

/**
 * @Description: 新版首页推荐屏数据解析类
 * @Author: Danxingxi
 * @CreateDate: 2016/9/26 9:34
 */
public class HomeRecomModel {


    private int code;
    private DataEntity data;
    private String message;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataEntity getData() {
        return data;
    }

    public void setData(DataEntity data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    /**
     * 首页推荐屏数据
     */
    public static class DataEntity {
        /**推荐屏第一排的数据，包括视频直播流和换一换等数据**/
        private BannerEntity banner;
        /**主要是品牌专区和会员专享等三排推荐数据**/
        private BodyEntity body;

        private DetailEntity detail;

        public BannerEntity getBanner() {
            return banner;
        }

        public void setBanner(BannerEntity banner) {
            this.banner = banner;
        }

        public BodyEntity getBody() {
            return body;
        }

        public void setBody(BodyEntity body) {
            this.body = body;
        }

        public DetailEntity getDetail() {
            return detail;
        }

        public void setDetail(DetailEntity detail) {
            this.detail = detail;
        }

        /**推荐屏第一排的数据，包括视频直播流和换一换等数据**/
        public static class BannerEntity {
            /**第一排左边的三个按钮对应的连接数据**/
            private LeftEntity left;
            /**中间是视频直播流数据**/
            private MiddleEntity middle;
            /**换一换数据，最少要有15个资产**/
            private RightEntity right;

            public LeftEntity getLeft() {
                return left;
            }

            public void setLeft(LeftEntity left) {
                this.left = left;
            }

            public MiddleEntity getMiddle() {
                return middle;
            }

            public void setMiddle(MiddleEntity middle) {
                this.middle = middle;
            }

            public RightEntity getRight() {
                return right;
            }

            public void setRight(RightEntity right) {
                this.right = right;
            }

            public static class LeftEntity {

                private List<ListEntity> list;

                public List<ListEntity> getList() {
                    return list;
                }

                public void setList(List<ListEntity> list) {
                    this.list = list;
                }

                public static class ListEntity {
                    private int aliRecommend;
                    private String csJsonUrl;
                    private String csLayout;
                    private String jsonUrl;
                    private String layout;
                    private int linkType;
                    private String picUrl;
                    private String recommendUrl;
                    private String summary;
                    private String title;
                    private String traceid;

                    public int getAliRecommend() {
                        return aliRecommend;
                    }

                    public void setAliRecommend(int aliRecommend) {
                        this.aliRecommend = aliRecommend;
                    }

                    public String getCsJsonUrl() {
                        return csJsonUrl;
                    }

                    public void setCsJsonUrl(String csJsonUrl) {
                        this.csJsonUrl = csJsonUrl;
                    }

                    public String getCsLayout() {
                        return csLayout;
                    }

                    public void setCsLayout(String csLayout) {
                        this.csLayout = csLayout;
                    }

                    public String getJsonUrl() {
                        return jsonUrl;
                    }

                    public void setJsonUrl(String jsonUrl) {
                        this.jsonUrl = jsonUrl;
                    }

                    public String getLayout() {
                        return layout;
                    }

                    public void setLayout(String layout) {
                        this.layout = layout;
                    }

                    public int getLinkType() {
                        return linkType;
                    }

                    public void setLinkType(int linkType) {
                        this.linkType = linkType;
                    }

                    public String getPicUrl() {
                        return picUrl;
                    }

                    public void setPicUrl(String picUrl) {
                        this.picUrl = picUrl;
                    }

                    public String getRecommendUrl() {
                        return recommendUrl;
                    }

                    public void setRecommendUrl(String recommendUrl) {
                        this.recommendUrl = recommendUrl;
                    }

                    public String getSummary() {
                        return summary;
                    }

                    public void setSummary(String summary) {
                        this.summary = summary;
                    }

                    public String getTitle() {
                        return title;
                    }

                    public void setTitle(String title) {
                        this.title = title;
                    }

                    public String getTraceid() {
                        return traceid;
                    }

                    public void setTraceid(String traceid) {
                        this.traceid = traceid;
                    }
                }
            }

            public static class MiddleEntity {

                private List<ListEntity> list;

                public List<ListEntity> getList() {
                    return list;
                }

                public void setList(List<ListEntity> list) {
                    this.list = list;
                }

                public static class ListEntity {
                    private int aliRecommend;
                    private String csJsonUrl;
                    private String csLayout;
                    private String jsonUrl;
                    private String layout;
                    private int linkType;
                    private String picUrl;
                    private String recommendUrl;
                    private String summary;
                    private String title;
                    private String traceid;

                    public int getAliRecommend() {
                        return aliRecommend;
                    }

                    public void setAliRecommend(int aliRecommend) {
                        this.aliRecommend = aliRecommend;
                    }

                    public String getCsJsonUrl() {
                        return csJsonUrl;
                    }

                    public void setCsJsonUrl(String csJsonUrl) {
                        this.csJsonUrl = csJsonUrl;
                    }

                    public String getCsLayout() {
                        return csLayout;
                    }

                    public void setCsLayout(String csLayout) {
                        this.csLayout = csLayout;
                    }

                    public String getJsonUrl() {
                        return jsonUrl;
                    }

                    public void setJsonUrl(String jsonUrl) {
                        this.jsonUrl = jsonUrl;
                    }

                    public String getLayout() {
                        return layout;
                    }

                    public void setLayout(String layout) {
                        this.layout = layout;
                    }

                    public int getLinkType() {
                        return linkType;
                    }

                    public void setLinkType(int linkType) {
                        this.linkType = linkType;
                    }

                    public String getPicUrl() {
                        return picUrl;
                    }

                    public void setPicUrl(String picUrl) {
                        this.picUrl = picUrl;
                    }

                    public String getRecommendUrl() {
                        return recommendUrl;
                    }

                    public void setRecommendUrl(String recommendUrl) {
                        this.recommendUrl = recommendUrl;
                    }

                    public String getSummary() {
                        return summary;
                    }

                    public void setSummary(String summary) {
                        this.summary = summary;
                    }

                    public String getTitle() {
                        return title;
                    }

                    public void setTitle(String title) {
                        this.title = title;
                    }

                    public String getTraceid() {
                        return traceid;
                    }

                    public void setTraceid(String traceid) {
                        this.traceid = traceid;
                    }
                }
            }

            public static class RightEntity {
                private List<ListEntity> list;

                public List<ListEntity> getList() {
                    return list;
                }

                public void setList(List<ListEntity> list) {
                    this.list = list;
                }

                public static class ListEntity {
                    private int aliRecommend;
                    private String csJsonUrl;
                    private String csLayout;
                    private String id;
                    private String jsonUrl;
                    private String layout;
                    private int linkType;
                    private String picUrl;
                    private String recommendUrl;
                    private String summary;
                    private String title;
                    private String traceid;

                    public int getAliRecommend() {
                        return aliRecommend;
                    }

                    public void setAliRecommend(int aliRecommend) {
                        this.aliRecommend = aliRecommend;
                    }

                    public String getCsJsonUrl() {
                        return csJsonUrl;
                    }

                    public void setCsJsonUrl(String csJsonUrl) {
                        this.csJsonUrl = csJsonUrl;
                    }

                    public String getCsLayout() {
                        return csLayout;
                    }

                    public void setCsLayout(String csLayout) {
                        this.csLayout = csLayout;
                    }

                    public void setId(String id){
                        this.id = id;
                    }

                    public String getId(){
                        return this.id;
                    }

                    public String getJsonUrl() {
                        return jsonUrl;
                    }

                    public void setJsonUrl(String jsonUrl) {
                        this.jsonUrl = jsonUrl;
                    }

                    public String getLayout() {
                        return layout;
                    }

                    public void setLayout(String layout) {
                        this.layout = layout;
                    }

                    public int getLinkType() {
                        return linkType;
                    }

                    public void setLinkType(int linkType) {
                        this.linkType = linkType;
                    }

                    public String getPicUrl() {
                        return picUrl;
                    }

                    public void setPicUrl(String picUrl) {
                        this.picUrl = picUrl;
                    }

                    public String getRecommendUrl() {
                        return recommendUrl;
                    }

                    public void setRecommendUrl(String recommendUrl) {
                        this.recommendUrl = recommendUrl;
                    }

                    public String getSummary() {
                        return summary;
                    }

                    public void setSummary(String summary) {
                        this.summary = summary;
                    }

                    public String getTitle() {
                        return title;
                    }

                    public void setTitle(String title) {
                        this.title = title;
                    }

                    public String getTraceid() {
                        return traceid;
                    }

                    public void setTraceid(String traceid) {
                        this.traceid = traceid;
                    }
                }
            }
        }
        /**主要是品牌专区和会员专享等三排推荐数据**/
        public static class BodyEntity {

            private List<ListEntity> list;

            public List<ListEntity> getList() {
                return list;
            }

            public void setList(List<ListEntity> list) {
                this.list = list;
            }

            public static class ListEntity {
                private String jsonUrl;
                private String layout;
                private int linkType;
                private String picUrl;
                private String title;

                public String getJsonUrl() {
                    return jsonUrl;
                }

                public void setJsonUrl(String jsonUrl) {
                    this.jsonUrl = jsonUrl;
                }

                public String getLayout() {
                    return layout;
                }

                public void setLayout(String layout) {
                    this.layout = layout;
                }

                public int getLinkType() {
                    return linkType;
                }

                public void setLinkType(int linkType) {
                    this.linkType = linkType;
                }

                public String getPicUrl() {
                    return picUrl;
                }

                public void setPicUrl(String picUrl) {
                    this.picUrl = picUrl;
                }

                public String getTitle() {
                    return title;
                }

                public void setTitle(String title) {
                    this.title = title;
                }
            }
        }

        public static class DetailEntity {
            private String bgPicUrl;

            public String getBgPicUrl() {
                return bgPicUrl;
            }

            public void setBgPicUrl(String bgPicUrl) {
                this.bgPicUrl = bgPicUrl;
            }
        }
    }
}
